Bug 742705

Summary: Error when executing JNDIView Operation on AS7 resource
Product: [Other] RHQ Project Reporter: Rafael Soares (Tuelho) <rsoares>
Component: Operations, PluginsAssignee: Heiko W. Rupp <hrupp>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: high    
Version: 4.1CC: hrupp
Target Milestone: ---   
Target Release: RHQ 4.3.0   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
RHEL 6.1 WS RHQ 4.1.0 java version "1.6.0_27" Java(TM) SE Runtime Environment (build 1.6.0_27-b07) Java HotSpot(TM) 64-Bit Server VM (build 20.2-b06, mixed mode) Firefox 3.6.23
Last Closed: 2013-09-01 06:08:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 707223    

Description Rafael Soares (Tuelho) 2011-10-01 15:48:41 EDT
Description of problem:


Version-Release number of selected component (if applicable):
RHQ 4.0.1
JBossAS 7.0.0-Final Resource

How reproducible:


Steps to Reproduce:
1. Schedule a new JNDIView operation on a AS7 Resource
2.
3.
  
Actual results:
The following exception occurs. The error can be viewed from Message Center area from UI:

"Message :	
Globally uncaught exception
Severity :	
Error
	
Time :	
Saturday, October 1, 2011 4:41:31 PM Etc/GMT+3
Detail :	
java.lang.ClassCastException:null
--- STACK TRACE FOLLOWS ---
null
    at Unknown.java_lang_ClassCastException_$ClassCastException__Ljava_lang_ClassCastException_2Ljava_lang_ClassCastException_2(Unknown source:0)
    at Unknown.com_google_gwt_lang_Cast_dynamicCast__Ljava_lang_Object_2ILjava_lang_Object_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_$addItemsForPropertyRecursively__Lorg_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_2Ljava_lang_String_2Lorg_rhq_core_domain_configuration_definition_PropertyDefinition_2Lorg_rhq_core_domain_configuration_Property_2ZLjava_util_List_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_$addItemsForPropertiesRecursively__Lorg_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_2Ljava_lang_String_2Ljava_util_Collection_2Lorg_rhq_core_domain_configuration_AbstractPropertyMap_2Ljava_util_List_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_$buildPropertiesForm__Lorg_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_2Ljava_lang_String_2Ljava_util_Collection_2Lorg_rhq_core_domain_configuration_AbstractPropertyMap_2Lorg_rhq_enterprise_gui_coregui_client_util_selenium_LocatableDynamicForm_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_$buildStructuredPane__Lorg_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_2Lorg_rhq_enterprise_gui_coregui_client_util_selenium_LocatableVLayout_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_$reload__Lorg_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_onDraw__V(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_BaseWidget_rendered__V(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_Layout_layoutChildren(Unknown source:0)
    at Unknown.isc_Layout_drawChildren(Unknown source:0)
    at Unknown.isc_Canvas_draw(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_Layout_layoutChildren(Unknown source:0)
    at Unknown.isc_Layout_drawChildren(Unknown source:0)
    at Unknown.isc_Canvas_draw(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_Layout_layoutChildren(Unknown source:0)
    at Unknown.isc_Layout_drawChildren(Unknown source:0)
    at Unknown.isc_Canvas_draw(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_Canvas_animateShow(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_Canvas_$animateShow__Lcom_smartgwt_client_widgets_Canvas_2Lcom_smartgwt_client_types_AnimationEffect_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_table_AbstractTableSection_$buildDetailsView__Lorg_rhq_enterprise_gui_coregui_client_components_table_AbstractTableSection_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_table_AbstractTableSection$3_execute__ZV(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_c_Class_fireCallback(Unknown source:0)
    at Unknown.isc_Class_fireCallback(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_Canvas__fireAnimationCompletionCallback(Unknown source:0)
    at Unknown.isc_Canvas__animateHideComplete(Unknown source:0)
    at Unknown.isc_c_Class_fireCallback(Unknown source:0)
    at Unknown.isc_Class_fireCallback(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_Canvas__fireAnimationCompletionCallback(Unknown source:0)
    at Unknown.isc_Canvas_fireAnimationHide(Unknown source:0)
    at Unknown.isc_c_Class_fireCallback(Unknown source:0)
    at Unknown.isc_Class_fireCallback(Unknown source:0)
    at Unknown.isc_c_Animation_fireAction(Unknown source:0)
    at Unknown.isc_c_Animation_fireTimer(Unknown source:0)
    at Unknown.isc_c_Animation_timeoutAction(Unknown source:0)
    at Unknown.isc_c_Class_fireCallback(Unknown source:0)
    at Unknown.isc_c_Timer__fireTimeout(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)"

Expected results:


Additional info:
Comment 1 Heiko W. Rupp 2012-02-09 10:13:10 EST
master 24aff88ad5
Comment 2 Heiko W. Rupp 2013-09-01 06:08:28 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.